Name:           python-pint
Version:        0.24.3
Release:        %mkrel 1
Summary:        Physical quantities module
Group:          Development/Python

License:        BSD
URL:            https://github.com/hgrecco/pint
Source:         %{pypi_source pint}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)


%global _description %{expand:
Pint is a Python package to define, operate and manipulate physical quantities:
the product of a numerical value and a unit of measurement. It allows arithmetic
operations between them and conversions from and to different units.

It is distributed with a comprehensive list of physical units, prefixes and
constants. Due to its modular design, you can extend (or even rewrite!) the
complete list without changing the source code. It supports a lot of numpy
mathematical operations without monkey patching or wrapping numpy.}

%description %_description

%package -n     python3-pint
Summary:        %{summary}

%description -n python3-pint %_description

%pyproject_extras_subpkg -n python3-pint dask,numpy,xarray


%prep
%autosetup -p1 -n pint-%{version}


%generate_buildrequires
%pyproject_buildrequires -x dask,numpy,xarray,test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pint


%check
%pytest


%files -n python3-pint -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{_bindir}/pint-convert




%changelog
* Fri Sep 20 2024 papoteur <papoteur> 0.24.3-1.mga10
+ Revision: 2099416
- import for superqt and spyder

